<template>
    <div>
        <b-modal id="comment-editor" size="lg"
                @ok="save_comment"
                @hidden="resetModal">

            <h3 slot="modal-title">
                • {{ current_node_name }}
                <br />
                • {{ right_node.name }}
            </h3>
            <b-form-textarea
                id="textarea"
                v-model="comment"
                placeholder="Quina es la seva relació?"
                rows="6"
                max-rows="12"
            ></b-form-textarea>
        </b-modal>
    </div>
</template>

<script>
export default {
    name: 'CommentEditor',
    props: {    current_node_name: String,
                right_node: {},
            },
    data() {
        return {
            comment: String,
        }
    },
    watch: {
        right_node: function () {
            this.comment = this.right_node.comment            
        },
    },
    methods: {
        resetModal: function () {
            this.comment = this.right_node.comment
        },
        save_comment: function () {
            if (this.comment) {
                this.$emit("updateComment",
                            this.right_node.id,
                            this.comment)
            }
        },
    }
}
</script>

<style scoped>

</style>
